import { PushRuleAction } from "matrix-js-sdk/src/matrix";
export interface PushRuleActions {
    notify: boolean;
    sound?: string;
    highlight?: boolean;
}
export declare class NotificationUtils {
    static encodeActions(action: PushRuleActions): PushRuleAction[];
    static decodeActions(actions: PushRuleAction[]): PushRuleActions | null;
}
